Skip to main content
POST
/
v1
/
events
Submit an event
curl --request POST \
  --url https://api.donehq.dev/v1/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "candidate_alias": "<string>",
  "type": "<string>",
  "value": "<string>"
}
'
{
  "error": {
    "type": "invalid_request_error",
    "code": "VALIDATION_ERROR",
    "message": "<string>",
    "status": 400,
    "doc_url": "<string>",
    "details": [
      {
        "path": "<string>",
        "message": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API token. Create one from the dashboard.

Body

application/json

Event payload. candidate_alias and type are required. Include value when the fulfillment condition uses payload matching or numeric comparisons.

candidate_alias
string
required

The candidate_alias of the candidate to submit the event to.

Required string length: 8 - 255
type
string
required

The event type string. Must match the event field in condition leaf nodes for the fulfillment condition to be satisfied.

Minimum string length: 1
value

Optional payload value. Required when the condition leaf uses match (exact equality) or a numeric comparator (gt, gte, lt, lte, eq). For example, submit "value": 4 with "type": "rating" to satisfy { "event": "rating", "gte": 3 }.

Response

Event recorded